
Smart Proxy - Refactor #6306

Possible namespace collisions between libraries and proxy modules

06/20/2014 11:46 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Plugins   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The modular smart proxy has modules named after the component being managed, but in the case of both Chef and Puppet, the

proxy module filesystem namespace matches that of the Puppet and Chef gems.  This is dangerous as it could create conflicts.

$ head modules/puppet/puppet.rb

require 'puppet/puppet_plugin'

module Proxy::Puppet; end

 This is required as "puppet/puppet", and similarly we have things like "puppet/environment".  The Puppet code/gem itself is in the

same namespace, so we've been very lucky if none of the files we have in modules/*/*.rb match another in one of those projects.

They should probably move into a proxy/ subdirectory to match the namespace of the modules and classes they declare.

Related issues:

Related to Smart Proxy - Refactor #4866: As a developer I'd like to break up ... Closed 03/26/2014

Associated revisions

Revision 69f6b3e5 - 07/02/2014 08:57 AM - Dmitri Dolguikh 

fixes #6306: removed possible namespace collisions with puppet and chef

History

#1 - 06/20/2014 11:47 AM - Dominic Cleal

- Related to Refactor #4866: As a developer I'd like to break up smart-proxy into multiple components added

#2 - 06/20/2014 11:52 AM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#3 - 06/23/2014 03:45 PM - Anonymous

- Status changed from Assigned to Ready For Testing

PR: https://github.com/theforeman/smart-proxy/pull/171

#4 - 06/23/2014 03:47 PM - Dominic Cleal

- Target version set to 1.8.1

#5 - 07/02/2014 09:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 69f6b3e593dee177c5626a6352a87f4b2e35ec2d.
